<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__scb__spi__macros__xfer__status" kind="group">
    <compoundname>group_scb_spi_macros_xfer_status</compoundname>
    <title>SPI Transfer Status</title>
      <sectiondef kind="define">
      <memberdef id="group__group__scb__spi__macros__xfer__status_1gab024f7d6ed7cbaa36c80c904a6179de7" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TRANSFER_ACTIVE</name>
        <initializer>(0x01UL)</initializer>
        <briefdescription>
<para>Transfer operation started by <ref kindref="member" refid="group__group__scb__spi__high__level__functions_1ga6fdbb98ef7faddc5025fab510fb1617e">Cy_SCB_SPI_Transfer</ref> is in progress. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="734" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="734" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__xfer__status_1gaa4ca473d46fce00ba5b03444ca60ea36" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TRANSFER_IN_FIFO</name>
        <initializer>(0x02UL)</initializer>
        <briefdescription>
<para>All data elements specified by <ref kindref="member" refid="group__group__scb__spi__high__level__functions_1ga6fdbb98ef7faddc5025fab510fb1617e">Cy_SCB_SPI_Transfer</ref> for transmission have been loaded into the TX FIFO. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="740" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="740" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__xfer__status_1gac64acd05c615a1cda6b2ad92619db7e7" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_SLAVE_TRANSFER_ERR</name>
        <initializer>(SCB_INTR_S_SPI_BUS_ERROR_Msk)</initializer>
        <briefdescription>
<para>The slave was deselected at the wrong time. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="743" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="743" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__xfer__status_1ga578207aae0035bf96d5cd00568122ddf" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TRANSFER_OVERFLOW</name>
        <initializer>(SCB_INTR_RX_OVERFLOW_Msk)</initializer>
        <briefdescription>
<para>RX FIFO was full and there was an attempt to write to it. </para>        </briefdescription>
        <detaileddescription>
<para>This additional data was dropped. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="749" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="749" />
      </memberdef>
      <memberdef id="group__group__scb__spi__macros__xfer__status_1ga7c92f535a370f799c8723b9f221329e8" kind="define" prot="public" static="no">
        <name>CY_SCB_SPI_TRANSFER_UNDERFLOW</name>
        <initializer>(SCB_INTR_TX_UNDERFLOW_Msk)</initializer>
        <briefdescription>
<para>Applicable only for the slave mode. </para>        </briefdescription>
        <detaileddescription>
<para>The master tried to read more data elements than available in the TX FIFO. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" bodystart="755" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_scb_spi.h" line="755" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Macros to check current SPI transfer status returned by <ref kindref="member" refid="group__group__scb__spi__high__level__functions_1ga95069817e25be749ae989e5d7131f8d0">Cy_SCB_SPI_GetTransferStatus</ref> function. </para>    </briefdescription>
    <detaileddescription>
<para>Each SPI transfer status is encoded in a separate bit, therefore multiple bits may be set to indicate the current status. </para>    </detaileddescription>
  </compounddef>
</doxygen>